# Cloud Init Script

This script automates the setup of a virtual machine using an Ubuntu Cloud Image in Proxmox, with options to create a template, clone it, and override any existing virtual machine with the same ID.

## Usage

You can execute this script directly using `curl` with the following commands:

### 1. **Default Storage (`proxmox`) and Default VM Name (`ubuntu-cloudinit2404`):**

To run the script using the default storage (`proxmox`) and the default VM name (`ubuntu-cloudinit2404`):

```bash
curl -sSL https://git.nixc.us/colin/cloud-init/install.sh | bash
```

### 2. **Specify a Different Storage:**

To specify a different storage (`local`) while using the default VM name (`ubuntu-cloudinit2404`):

```bash
curl -sSL https://git.nixc.us/colin/cloud-init/install.sh | bash -s -- local
```

### 3. **Specify a Different Storage and Custom VM Name:**

To specify both a different storage (`local`) and a custom VM name (`custom-vm-name`):

```bash
curl -sSL https://git.nixc.us/colin/cloud-init/install.sh | bash -s -- local custom-vm-name
```

## Notes

- **VM Replacement:** The script will delete any existing virtual machine with the same ID (`8000`) before creating a new one.
- **Defaults:** The default storage location is set to `proxmox`, and the default VM name is `ubuntu-cloudinit2404`. Both can be overridden by providing arguments.

No license or contributors are defined for this script.